EasyRoutes API

Import stops

POST
/stops/imports

Import stops into EasyRoutes from an external source. The request body should include a list of stops to import. The response will include a list of imported stops with generated IDs. The maximum number of stops to import in a single request is 200. Imported stops will show up in EasyRoutes as orders that can be used to create routes.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

A stop to import into EasyRoutes.

Response Body

application/json

application/json

curl -X POST "https://example.com/stops/imports" \  -H "Content-Type: application/json" \  -d '[    {}  ]'
{  "stops": [    {      "id": "ist-123e4567-e89b-12d3-a456-426614174000",      "clientStopId": "test-order-1234",      "address": {        "address1": "123 Main St",        "address2": "Apt 3B",        "city": "New York",        "provinceCode": "NY",        "countryCode": "US",        "zip": "10001"      },      "contact": {        "firstName": "John",        "lastName": "Doe",        "company": "Roundtrip Systems Inc",        "phone": "+14265551000",        "email": "john.doe@roundtrip.ai"      },      "coordinates": {        "latitude": 40.7128,        "longitude": -74.006      },      "items": [        {          "name": "Bananas",          "quantity": 5,          "grams": 500,          "sku": "BANANA-001"        }      ],      "note": "Leave at door.",      "duration": "300s",      "priority": 5,      "orderName": "#1234",      "importedAt": "2026-03-28T10:00:00Z",      "timeWindows": [        {          "start": {            "hours": 9          },          "end": {            "hours": 17          }        }      ],      "deliveryDate": {        "year": 2025,        "month": 12,        "day": 16      },      "attributes": [        {          "key": "color",          "value": "blue"        }      ],      "tags": [        "foo",        "bar"      ],      "tasks": [        {          "title": "Delivery checklist",          "type": "CHECKBOXES",          "items": [            {              "title": "Pick up package"            }          ],          "requiredToMarkStopAsDelivered": true,          "requiredToMarkStopAsAttempted": true        }      ],      "type": "DELIVERY",      "customSignatureDisclosure": "I acknowledge that I have received this delivery."    }  ]}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}